
using System;
using System.Collections.Generic;
using System.Linq;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace Torch
{
	public partial class TorchController : UIViewController
	{
		#region Constructors

		// The IntPtr and initWithCoder constructors are required for items that need 
		// to be able to be created from a xib rather than from managed code

		public TorchController (IntPtr handle) : base(handle)
		{
			Initialize ();
		}

		[Export("initWithCoder:")]
		public TorchController (NSCoder coder) : base(coder)
		{
			Initialize ();
		}

		public TorchController () : base("TorchController", null)
		{
			Initialize ();
		}

		void Initialize ()
		{
		}
		
		#endregion
		
		public override void ViewDidAppear (bool animated)
		{
			base.ViewDidAppear (animated);
			UIApplication.SharedApplication.StatusBarHidden = true;
		}
		
		public override void ViewDidDisappear (bool animated)
		{
			UIApplication.SharedApplication.StatusBarHidden = false;
			base.ViewDidDisappear (animated);
		}
		
		public override void TouchesBegan (NSSet touches, UIEvent evt)
		{
			View.RemoveFromSuperview ();
		}
	}
}

